local params = ...

local _logger = require("logging")
local _http = require("http")

local request_id = _G.ezlo_protocols["http_request_id"]
local data = _G.ezlo_protocols[request_id]

if params.event == "http_connection_closed" then
    _logger.debug("HTTP connection closed")
    _G.ezlo_protocols["http_request_id"] = nil
    _G.ezlo_protocols[request_id] = nil

    return
end

if params.event == "http_data_send" then
    local success, errmsg = pcall(_http.send_data, request_id, data)

    if not success then
        _logger.error("Failed to send data, error: " .. errmsg)
        _http.close_connection(request_id)
    end
end

if params.event == "http_data_received" then
    -- DO NOTHING
end
