local params = ...

local _logger = require("logging")
local _http_server = require("http_server")
local _core = require("core")

local DATA_LIMIT = 9000

if params.event == "http_data_received" then

    if not _G.ezlo_protocols.http_data then
        _G.ezlo_protocols.http_data = params.data.data
    else
        _G.ezlo_protocols.http_data = _G.ezlo_protocols.http_data .. params.data.data
    end

    if #_G.ezlo_protocols.http_data > DATA_LIMIT then
        _logger.error("Close connection. Data limit exceeded")
        _http_server.close_connection(params.data.id)
    end

end

if params.event == "http_connection_closed" then

    if _G.ezlo_protocols.http_data then
        local http_data = _G.ezlo_protocols.http_data

        if #http_data > DATA_LIMIT then
            http_data = string.sub(http_data, 1, DATA_LIMIT)
        end

        _core.update_item_value(_G.ezlo_protocols["http_server_receive"], { data = http_data })
    end

    _G.ezlo_protocols.http_data = nil

end
