local _logger = require("logging")

local SETTING_NAME = "http_server_url"

local function CreateOrUpdateSetting(device_id, setting_id, value)
    if not value then
        value = ""
    end
    
    local _setting_utils = require("HUB:ezlo_protocols/scripts/modules/setting_utils")

    local setting = {
        label = {
            text = "HTTP Server URL"
        },
        description = {
            text = "Displays the full URL that the user can call."
        },
        value_type = "string",
        value = value,
        status = "synced",
        has_setter = false,
        info = {
            name = SETTING_NAME
        }
    }
    
    _setting_utils.CreateSetting(device_id, SETTING_NAME, setting)

end

local params = ... or {}

if not params.device_id then
    _logger.error("Missing device_id. Cannot continue.")

    return
end

CreateOrUpdateSetting(params.device_id, params.setting_id, params.value)
